DRM_PRIMARY_HELPER_C(9)

NAME
drm_primary_helper_create_plane - Create a generic primary plane

SYNOPSIS

struct drm_plane * drm_primary_helper_create_plane(struct drm_device * dev, const uint32_t * formats, int num_formats);

ARGUMENTS

dev
    drm device

formats
    pixel formats supported, or NULL for a default safe list

num_formats
    size of formats; ignored if formats is NULL

DESCRIPTION

Allocates and initializes a primary plane that can be used with the primary plane helpers. Drivers that wish to use driver-specific plane structures or provide custom handler functions may perform their own allocation and initialization rather than calling this function.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT